import { AfterViewInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
import { ValidationService } from '../../../../services/validation.service';
export declare class FVControlsValidatorComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private validator;
    private ref;
    errors: string[];
    formControl: FormControl;
    constructor(process: ProcessService, validator: ValidationService, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    private checkForErrors();
    ngOnDestroy(): void;
}
